
%define plugin	softdevice
%define name	vdr-plugin-%plugin
%define version	0.5.0
%define snapshot 20090321
%define rel	2
%if %snapshot
%define release	%mkrel 5.%snapshot.%rel
%else
%define release	%mkrel %rel
%endif

Summary:	VDR plugin: A software emulated MPEG2 device
Name:		%name
Version:	%version
Release:	%release
Group:		Video
License:	GPLv2+
URL:		http://softdevice.berlios.de/
%if %snapshot
Source:		vdr-%plugin-%snapshot.tar.bz2
%else
Source:		http://download.berlios.de/softdevice/vdr-%plugin-%version.tgz
%endif
Patch0:		softdevice-linking-order.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	vdr-abi = %vdr_abi
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	ffmpeg-devel
BuildRequires:	libalsa-devel
%if %mdkversion >= 200700
BuildRequires:	dfb++-devel
BuildRequires:	libxv-devel
BuildRequires:	libxinerama-devel
BuildRequires:	dos2unix
%else
BuildRequires:	X11-devel
%endif
Requires(post):	vdr-common

%description
This plugin is a MPEG2 decoder. It can be used as an output device
for the vdr. Possible output devices are Xv, DirectFB, Vidix or a
framebuffer.

%prep
%if %snapshot
%setup -q -n %plugin
%else
%setup -q -n %plugin-%version
%endif
%patch0 -p0
dos2unix CHANGELOG
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# See plugin documentation and 'vdr --help' for detailed info
#
# audio output plugin and options
# example: "alsa:mixer"
var=AUDIO_OUT
param='-ao AUDIO_OUT'
# video output plugin and options
# example: "xv:full"
var=VIDEO_OUT
param='-vo VIDEO_OUT'
%vdr_plugin_params_end

%build
# simple configure script
./configure --disable-subplugins --enable-yaepg
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install
install -d -m755 %{buildroot}%{_bindir}
install -m755 ShmClient %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%post
%{_bindir}/gpasswd -a vdr audio >/dev/null
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY CHANGELOG
%{_bindir}/ShmClient


%changelog
* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.5.0-5.20090321.2mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- install and provide ShmClient
- fix build failure due to wrong linking order (linking-order.patch)

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 0.5.0-5.20090321.1mdv2009.1
+ Revision: 359818
- new snapshot
- fix build with recent ffmpeg (new-ffmpeg.patch, Jason Harvey)
- rebuild for new vdr

* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-4mdv2009.0
+ Revision: 277899
- rebuild for new dfb

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-3mdv2009.0
+ Revision: 214117
- rebuild

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.5.0-2mdv2009.0
+ Revision: 197980
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.5.0-1mdv2009.0
+ Revision: 197724
- new version
- add vdr_plugin_prep
- bump buildrequires on vdr-devel

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.4.0-5.20080104.1mdv2008.1
+ Revision: 145393
- new snapshot
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-5.20071029.1mdv2008.1
+ Revision: 103605
- new snapshot (fixes build with recent ffmpeg)
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-5mdv2008.0
+ Revision: 50047
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-4mdv2008.0
+ Revision: 42130
- rebuild for new vdr

* Tue May 22 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-3mdv2008.0
+ Revision: 29844
- rebuild for new directfb

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-2mdv2008.0
+ Revision: 22692
- rebuild for new vdr

* Tue Apr 24 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 17990
- 0.4.0


* Tue Dec 19 2006 Anssi Hannula <anssi@mandriva.org> 0.3.1-1mdv2007.0
+ Revision: 100216
- 0.3.1
- add configuration options

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.2.4-0.20060808.6mdv2007.1
+ Revision: 90972
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.2.4-0.20060808.5mdv2007.1
+ Revision: 74083
- rebuild for new vdr
- Import vdr-plugin-softdevice

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.2.4-0.20060808.4mdv2007.0
- rebuild for new vdr

* Fri Sep 01 2006 Anssi Hannula <anssi@mandriva.org> 0.2.4-0.20060808.3mdv2007.0
- add vdr to audio group

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.2.4-0.20060808.2mdv2007.0
- stricter abi requires

* Thu Aug 10 2006 Anssi Hannula <anssi@mandriva.org> 0.2.4-0.20060808.1mdv2007.0
- initial Mandriva release

